Update Team Group
https://app.fossa.com/api/teams/groups/{id}Update a team group by ID
Path parameters
idintegerrequiredID of the team group to update
Request body (required) · application/json
namestringrequiredNew name for the team group
defaultRoleIdintegerrequiredDefault role ID for team group members
Responses
200Team group updated successfullyidintegerTeam group ID
namestringTeam group name
defaultRoleIdintegerDefault role ID for members
autoAddUsersbooleanWhether to automatically add users
uniqueIdentifierstringUnique identifier
createdAtstring <date-time>Creation timestamp
updatedAtstring <date-time>Last update timestamp
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/teams/groups/1curl --request PUT \ --url 'https://app.fossa.com/api/teams/groups/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "name": "Updated Engineering Team Group", "defaultRoleId": 3}'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the team group to update